import { RadialBucketCalculator } from "./RadialBucketCalculator";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Type, Point } from "igniteui-angular-core";
import { RadialBase } from "./RadialBase";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { DependencyProperty } from "igniteui-angular-core";
import { TrendLineType } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { PenLineCap } from "igniteui-angular-core";
import { DoubleCollection } from "igniteui-angular-core";
import { RadialFrame } from "./RadialFrame";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
import { RadialBaseView } from "./RadialBaseView";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { Clipper } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { RadialTrendLineManager } from "./RadialTrendLineManager";
import { PointCollection } from "igniteui-angular-core";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class AnchoredRadialBucketCalculator extends RadialBucketCalculator {
    static $t: Type;
    private f;
    constructor(a: AnchoredRadialSeriesView);
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare abstract class AnchoredRadialSeries extends RadialBase {
    static $t: Type;
    protected bf(): SeriesView;
    ht(): void;
    fs(a: any, b: string): any;
    iu(a: SeriesView): void;
    nq: AnchoredRadialSeriesView;
    constructor();
    nr: CategoryLineRasterizer;
    fe(a: Point, b: boolean): number;
    fc(a: Point, b: boolean): number;
    d9(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    en(a: Point, b: boolean, c: boolean): number;
    ll(a: Point, b: boolean, c: boolean): Point;
    n8: string;
    nw: IFastItemColumn$1<number>;
    private nv;
    nu: TrendLineType;
    om: Brush;
    ol: Brush;
    static readonly oc: DependencyProperty;
    n4: number;
    oo: PenLineCap;
    on: DoubleCollection;
    n5: number;
    n6: number;
    an(a: Axis): AxisRange;
    protected iz(a: any, b: string, c: any, d: any): void;
    protected hy(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    protected get_nz(): boolean;
    protected readonly nz: boolean;
    protected n1(a: CategoryAngleAxis, b: Rect, c: Rect, d: Rect): number;
    nk(a: RadialFrame, b: RadialBaseView): void;
    private n2;
    private n3;
    private n0;
    np(a: List$1<number[]>, b: number, c: SeriesView): Clipper;
    protected op: Point;
    ob(a: PointCollection, b: PointCollection, c: PointCollection, d: PointCollection, e: boolean): void;
    private ny;
    private nx;
    hv(a: boolean, b: SeriesView): void;
    nl(a: RadialFrame, b: RadialBaseView): void;
    private oa;
    protected jo(): void;
    fv(a: any, b: Point): any;
    c9(a: any): boolean;
    nt: RadialFrame;
    jf(a: Rect, b: RenderSurface): void;
    private ns;
    jc(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected h4(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnchoredRadialSeriesView extends RadialBaseView {
    static $t: Type;
    cs: AnchoredRadialSeries;
    constructor(a: AnchoredRadialSeries);
    ct: RadialTrendLineManager;
    cu(a: Rect, b: Rect, c: Rect, d: Rect): void;
    cv(): void;
    protected a2(a: RenderingContext, b: boolean): void;
    getDefaultTooltipTemplate(): string;
}
